petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDualSpaceGetType

Gets the PetscDualSpace type name (as a string) from the object.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetType(PetscDualSpace sp, PetscDualSpaceType *name)

Not Collective

### Input Parameter

sp -The PetscDualSpace

### Output Parameter

name -The PetscDualSpace type name

### Keywords

PetscDualSpace, get, type, name

### See Also

PetscDualSpaceSetType(), PetscDualSpaceCreate()

### Level

intermediate

### Location

src/dm/dt/dualspace/interface/dualspace.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages